App\Entity\ModeleVente:
    type: entity
    table: modele_vente
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: false
        quantite:
            type: integer
            nullable: false
        totalHT:
            type: float
            nullable: true
        totalTVA:
            type: float
            nullable: true
        totalRemise:
            type: float
            nullable: true
        totalApayer:
            type: float
            nullable: true
        totalBenefice:
            type: float
            nullable: true
        totalPaye:
            type: float
            nullable: true
        resteApayer:
            type: float
            nullable: true
        dateCommande:
            type: datetime
            nullable: true
        dateMiseajour:
            type: datetime
            nullable: true
        estFacture:
            type: boolean
            nullable: true
        dateFacturation:
            type: datetime
            nullable: true
        estFerme:
            type: boolean
            nullable: true
        dateFermeture:
            type: datetime
            nullable: true
        notes:
            type: text
            nullable: true
    oneToMany:
        mproduits:
            targetEntity: ModeleVenteProduit
            mappedBy: modeleVente
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: ventes
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false